<%--
  Created by IntelliJ IDEA.
  User: Administrator
  Date: 2020/8/3
  Time: 14:29
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html; charset=utf-8"
         pageEncoding="utf-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="format-detection" content="telephone=no">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
    <meta name="renderer" content="webkit">
    <!-- 移动设备 viewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <jsp:include page="../../common.jsp"/>
</head>
<body>
<div class="row animated fadeInRight" style="margin: 0;">
    <div class="wrapper wrapper-content mt5 right-content ml5 mr5">
        <table class="layui-hide" id="appVersionInfoTab" lay-filter="appVersionInfoTab"></table>
    </div>
</div>

<script type="text/html" id="toolbarDemo">
    <div class="layui-btn-container">
        <button class="layui-btn layui-btn-sm" lay-event="add">添加</button>
        <button class="layui-btn layui-btn-sm" lay-event="search">查询</button>
    </div>
</script>

<script type="text/html" id="barDemo">
    <a class="layui-btn layui-btn-xs" lay-event="edit">通过</a>
    <a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="del">删除</a>
</script>

<script>
    layui.use(['table', 'layer'], function () {
        var table = layui.table;
        var layer = layui.layer;

        var tableIns = table.render({
            elem: '#appVersionInfoTab'
            , url: '${ctx}/channel/page'
            , response: {
                statusName: 'code' //数据状态的字段名称，默认：code
                , countName: 'count' //数据总数的字段名称，默认：count
                , dataName: 'data' //默数据列表的字段名称，认：data
                , statusCode: 200
            }
            , parseData: function (res) { //res 即为原始返回的数据
                return {
                    "code": res.code, //解析接口状态
                    "msg": res.message, //解析提示文本
                    "count": res.data.count, //解析数据长度
                    "data": res.data ,//解析数据列表
                };
                console.log(res.data)
                console.log("+++++++++++++++++++++++++++")
            }
            , toolbar: '#toolbarDemo' //开启头部工具栏，并为其绑定左侧模板
            , defaultToolbar: ['filter']
            , title: 'app版本数据表'
            , cols: [[
                {type: 'checkbox', fixed: 'left'}
                // , {field: 'numbers', title: '序号', fixed: 'left', width: 80, type: 'numbers'}
                , {field: 'alias', title: '商户简称'}
                , {field: 'contactName', title: '商户联系人', sort: true}
                , {field: 'merchantCode', title: '商户code'}
                , {field: 'merchantName', title: '商户名称', hidden: true}
                , {field: 'status', title: '进件状态',templet: function (p) {
                        if (p.status == 3) {
                            return "已进件";
                        } else if (p.status == 1){
                            return "审核中";
                        } else if (p.status == 2){
                            return "进件失败"
                        }
                    }},
                {field: 'virChannelFlag', title: '切换通道'

                },
                {field: 'channel', title: '通道名称',templet: function (c) {
                        if (c.channel == 1) {
                            return "随行付";
                        } else if (c.channel == 4){
                            return "银盛";
                        } else if (c.channel == 5){
                            return "拉卡拉"
                        }else if (c.channel == 6){
                            return "银盛D1"
                        }else {
                            return "未知通道"
                        }
                    }},

                , {
                    field: 'updateTime',
                    title: '修改日期',
                    width: 160
                    // ,templet: "<div>{{layui.util.toDateString(d.updateTime, 'yyyy-MM-dd HH:mm:ss')}}</div>"
                }
                , {fixed: 'right', title: '操作', minWidth: 110, toolbar: '#barDemo'}
            ]]
            , request: {
                pageName: 'page' //页码的参数名称，默认：page
                , limitName: 'size' //每页数据量的参数名，默认：limit
            }
            , page: true
            , done: function () {
                $("[data-field='forceUpdate']").children().each(function () {
                    if ($(this).text() == '0') {
                        $(this).text('否');
                    } else if ($(this).text() == '1') {
                        $(this).text('是');
                    }
                });
            }
        });

        //头工具栏事件
        table.on('toolbar(appVersionInfoTab)', function (obj) {
            switch (obj.event) {
                case 'add':
                    // 添加
                    toAdd();
                    break;
                case 'search':
                    // 查询
                    tableIns.reload();
                    break;
            }
        });

        //监听行工具事件
        table.on('tool(appVersionInfoTab)', function (obj) {
            var data = obj.data;
            //console.log(obj)
            if (obj.event === 'del') {
                layer.confirm('真的删除行么?', function (index) {
                    obj.del(data);
                    layer.close(index);
                    del(obj);
                });
            } else if (obj.event === 'edit') {
                toAdd(obj.data);
            }
        });

        function toAdd(obj) {

            $.ajax({
                url: '${ctx}/channel/update/'+obj.merchantCode,
                type: 'get',
                dataType: 'JSON',
                contentType: "application/json",
                success: function (res) {
                    if (res.code == 200) {
                        layer.msg(res.data, {
                            icon: 1
                        });
                    } else {
                        layer.msg(res.data, {
                            icon: 5
                        });
                    }
                }
            })
        }

        function del(obj) {
            $.ajax({
                url: '${ctx}/appVersionInfo/delete',
                type: 'post',
                data: JSON.stringify(obj.data),
                dataType: 'JSON',
                contentType: "application/json",
                success: function (res) {
                    if (res.code == 200) {
                        layer.msg(res.data, {
                            icon: 1
                        });
                    } else {
                        layer.msg(res.data, {
                            icon: 5
                        });
                    }
                }
            })
        }
    });
</script>
</body>
</html>
